cgD3D11TranslateHRESULT(3)

NAME
cgD3D11TranslateHRESULT - convert an HRESULT into a string

SYNOPSIS
  #include <Cg/cgD3D11.h>

  const char * cgD3D11TranslateHRESULT( HRESULT hr );

PARAMETERS

hr  The HRESULT to translate. Can be a generic HRESULT or a D3D runtime error.

RETURN VALUES
Returns a pointer to a string describing the error.

DESCRIPTION
cgD3D11TranslateHRESULT converts an HRESULT into a string.

This routine will typically be called in debugging situations such as inside an error callback set using cgSetErrorCallback.

EXAMPLES
  char buf[512];
  HRESULT hres = cgGetLastError();
  if (FAILED(hres))
  {
      sprintf(buf, "A D3D error occurred. Error description: '%s'\n",
              cgD3D11TranslateHRESULT(hres));
      OutputDebugString(buf);
  }

ERRORS
None.

HISTORY
cgD3D11TranslateHRESULT was introduced in Cg 3.0.

SEE ALSO
cgD3D11TranslateCGerror, cgGetErrorString, cgSetErrorCallback